# 东信中控系统需求文档
## 项目背景 
* 由于东信开发的项目比较多,设计设备设施，门禁，充值，安防等14个子项目
* 需要对项目进行统一的配置和管理,全方面的了解每一个项目负责的职能和权限管理


## 预期目标
### 用户部门管理
* 人员管理,人员信息同步，人员信息的新增，修改，查看，删除
* 部门管理，部门信息同步，部门信息的新增，修改，查看，删除
### 系统管理
* 角色管理,角色管理的新增,修改，查看，删除,角色管理人员，角色关联菜单
* 菜单管理，菜单管理的新增，修改，查看，删除，树状的层级关系
### 中间键管理
* 子系统的新增,修改，查看，删除，导出功能
* 子系统-功能接口，新增，修改，查看，删除，导出
* 子系统-主机设备，新增，修改，查看，删除，导出
* 场景管理-----待需求完善
* 配置管理-----待需求完善

## 总体设计
### 合作方式
* 世贸负责用户管理和系统管理
* 永天负责中间键管理

### 项目拆分方式
####　前端
* 方案一:跟世贸合并开发，再他们的基础上完善相关的代码
* 方案二:自己独立创建项目,作为一个新项目部署,需要和世贸沟通协调跳转方式
* 
#### 后端
* 首先对世贸的项目不做任何处理，正常的处理这些功能
* 合并功能需求到充值，安防，设备设施中的其中一个,调用接口的时候通过单点登录来进行接口访问

### 技术栈

#### 前端

##### 框架

* vue3

#### 后端

##### 框架

* springBoot
* mybatisplus

##### 数据库
* mysql

##### 中间键
* redis

### 数据库

#### 数据库表设计
* 子系统(child_system)

| 列名          | 名称     | 数据类型         | 字段类型     | 长度    | 是否必填 | 描述                |
|-------------|--------|--------------|----------|-------|------|-------------------|
| id          | 主键id   | bigint(20)   | bigint   |       | NO   |                   |
| name        | 系统名称   | varchar(100) | varchar  | 100   | NO   |                   |
| icon        | 图标     | varchar(200) | varchar  | 200   | NO   |                   |
| addr        | ip或者域名 | varchar(255) | varchar  | 255   | NO   |                   |
| path        | 路径     | varchar(255) | varchar  | 255   | NO   |                   |
| params      | 参数接口   | text         | text     | 65535 | YES  |                   |
| del_flag    |        | tinyint(255) | tinyint  |       | YES  | 0                 |
| create_by   | 创建者    | varchar(64)  | varchar  | 64    | YES  |                   |
| create_time | 创建时间   | datetime     | datetime |       | YES  | CURRENT_TIMESTAMP |
| update_by   | 更新者    | varchar(64)  | varchar  | 64    | YES  |                   |
| update_time | 更新时间   | datetime     | datetime |       | YES  |                   |
| remark      | 备注     | varchar(500) | varchar  | 500   | YES  |


* 系统接口(doc_info)

| id          | 主键       | bigint(20)   | bigint   |       | NO  |                   |
|-------------|----------|--------------|----------|-------|-----|-------------------|
| name        | 名称       | varchar(50)  | varchar  | 50    | NO  |                   |
| system_id   | 子系统编号    | bigint(20)   | bigint   |       | NO  |                   |
| url         | 路径       | varchar(255) | varchar  | 255   | NO  |                   |
| params      | 参数       | text         | text     | 65535 | YES |                   |
| enable_flag | 0已开启1未开启 | tinyint(255) | tinyint  |       | NO  |                   |
| del_flag    |          | tinyint(255) | tinyint  |       | YES | 0                 |
| create_by   | 创建者      | varchar(64)  | varchar  | 64    | YES |                   |
| create_time | 创建时间     | datetime     | datetime |       | YES | CURRENT_TIMESTAMP |
| update_by   | 更新者      | varchar(64)  | varchar  | 64    | YES |                   |
| update_time | 更新时间     | datetime     | datetime |       | YES |                   |
| remark      | 备注       | varchar(500) | varchar  | 500   | YES |


* 系统设备(main_device)

| id          | 主键id     | bigint(255)  | bigint   |       | NO  |                   |
|-------------|----------|--------------|----------|-------|-----|-------------------|
| name        | 名称       | varchar(100) | varchar  | 100   | NO  |                   |
| params      | 参数       | text         | text     | 65535 | YES |                   |
| enable_flag | 0未开启1已开启 | tinyint(255) | tinyint  |       | NO  | 0                 |
| system_id   | 子系统编号    | bigint(20)   | bigint   |       | NO  |                   |
| del_flag    |          | tinyint(255) | tinyint  |       | YES | 0                 |
| create_by   | 创建者      | varchar(64)  | varchar  | 64    | YES |                   |
| create_time | 创建时间     | datetime     | datetime |       | YES | CURRENT_TIMESTAMP |
| update_by   | 更新者      | varchar(64)  | varchar  | 64    | YES |                   |
| update_time | 更新时间     | datetime     | datetime |       | YES |                   |
| remark      | 备注       | varchar(500) | varchar  | 500   | YES |





 






